PDA

Afficher la version complète : webcam labtec



jack13
01/03/2009, 11h54
salut

voila je revient vers vous par ce que j ai des soucis avec ma webcam labtec

ellle ets reconnu
lsusb
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 046d:0929 Logitech, Inc. Labtec WebCam Pro
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 002: ID 04fc:05d8 Sunplus Technology Co., Ltd
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 07b5:9903 Mega World International, Ltd
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
j ai installer le driver des depots de suse gqcam dans les depot autre webcam 0.9.75.124
mais elle ne marche pas chesse la reconnais pas
et amsn svn me la reconnais mais je peut pas regler les couleur et autres
v4l2 camera
spca 561
voila pour les infos
je suis sur suse 11.1 i586

j espere qu on pourra m aider merci

ang1fr
01/03/2009, 17h55
Bus 005 Device 002: ID 046d:0929 Logitech, Inc. Labtec WebCam Pro[/b]

Bonjour,

Pour cette webcam un driver existe : spca5xx

comme le dit ceci :
http://mxhaard.free.fr/spca5xx.html

Bonne journée.

jack13
02/03/2009, 00h01
salut
merci pour ton lien
mais ca ne sinstalle pas ou conpile pas plutot j ai une erreur make 2
il y aurais pas un rpm
ce st pas mormale que la webcam qui marcher sur les enciens kernel marche pas sur celui ci *


si d autre personne on des iddees je suis premeur
merci

la webcam marche sur amsn mais j arrive pas a regler l image ce st tous grisee

ang1fr
04/03/2009, 14h42
Tu es sur que tu as pris le bon driver, autrefois je crois qu'il s'appelait gspca.

jack13
05/03/2009, 00h29
salut
oui man j ai pris le bon driver
mais apparament c est part a port au kernel depuis le 2.27 il y a plus de webcam qui marche sur n importe qu elle systeme avec ce kernel
et oui il y a qu elle que chose qui va pas et j arrive pas a trouver mormale tu me dira je suis pas programmeur

regarde surles forum ubuntu suse et autre et tu verra que je dit pas des betise
ellle est reconnu mais tu peut pas regler l image elle est noir ou elle et meme pas reconnu

c est pas la joie pour ce qui ont c est webcam qui ne marche plus part a port a v4l2 et au kernel
a cause du webcam je vais etre obliger de repasser a une ancienne version de suse ou autre

voila
merci a vous

thveillon
05/03/2009, 03h59
Salut,

gspca est inclus dans le noyau à partir du 2.6.27, mais son intégration avec v4l2 est boguée et casse pas mal d'applications (en fait c'est plutôt la faute des applications en question qui n'ont pas fait la migration v4l > v4l2 , le résultat pour l'utilisateur est le même...).

Tu peux essayer de recompiler gspca et v4l2 depuis les dernière sources, mais c'est du sport pour v4l2, ou un noyau 2.6.28 dans lequel le problème est contourné...

Pour être certain qu'il ne s'agit pas d'un problème de configuration chez toi, tu peux regarder si la couche de compatibilité v4l a été compilé dans ton noyau actuel :


egrep -i v4l /boot/config-$(uname -r)

et si les modules sont correctement chargés :


lsmod | egrep -i '(v4l|gspca)'

DGeorge
05/03/2009, 19h44
Pour être certain qu'il ne s'agit pas d'un problème de configuration chez toi, tu peux regarder si la couche de compatibilité v4l a été compilé dans ton noyau actuel :

egrep -i v4l /boot/config-$(uname -r)
et si les modules sont correctement chargés :

lsmod | egrep -i '(v4l|gspca)'[/b]

J'ai un autre post Labtec et je viens de tester ces commandes, ça donne :
egrep -i v4l /boot/config-$(uname -r)
CONFIG_VIDEO_V4L2_COMMON=m
CONFIG_VIDEO_ALLOW_V4L1=y
CONFIG_VIDEO_V4L1_COMPAT=y
CONFIG_VIDEO_V4L2=m
CONFIG_VIDEO_V4L1=m
CONFIG_V4L_USB_DRIVERS=y

lsmod | egrep -i '(v4l|gspca)'
gspca_zc3xx 45556 0
gspca_main 19976 1 gspca_zc3xx
videodev 31236 1 gspca_main
v4l1_compat 13096 1 videodev
usbcore 165932 8 snd_usb_audio,snd_usb_lib,gspca_zc3xx,gspca_main,u sb_storage,ehci_hcd,uhci_hcd

Pour moi, c'est du chinois. Est-ce qu'on peut utiliser la webcam ou pas ?

thveillon
06/03/2009, 00h17
Malheureusement tu as l'air d'être dans le cas de la mauvaise charrette avec cette version de gspca et de v4l. Tu utilises la couche de compatibilité v4l1, qui est problématique, alors que la version embarquée de gspca ne fonctionne correctement qu'avec v4l2... qui est incompatible avec pas mal de programmes ont laissé traîner la transition vers v4l2 !

As-tu testé avec d'autres programmes comme Ekiga, cheese, Skype ... ?

DGeorge
06/03/2009, 08h00
As-tu testé avec d'autres programmes comme Ekiga, cheese, Skype ... ?[/b]

Oui, avec skype, l'onglet vidéo n'apparait pas dans les options de configuration.
J'ai lancé gqcam, mais j'ai une image toute noire qui n'affiche rien.

J'ai trouvé le package "gspcav1-20071224.tar.gz" qui indique sur son cite que la
labtec webcam pro est supportée, mais je n'ai pas encore testé.
Compte tenu des remarques faites içi, avec le nouveau kernel, je me demande si
c'est utile. ya ka ... :)

suite au prochaine numéro.

thveillon
06/03/2009, 15h41
Tu peux essayer de compiler gspca, mais n'oublie pas qu'il est inclue dans le noyau 2.6.27, il faudra enlever le module d'origine si tu ne veux pas que ton "make install" échoue (ça m'étonnerait que le module d'origine puisse être écrasé directement).

Mais le problème est plus large que gspca en lui même, en fait il faudrait recompiler v4l également, et ça c'est du sport. Je l'ai fait sur Debian et ça m'a pris un certain temps...


Sinon tu aurais plus vite fait de changer de noyau, soit en cherchant un noyau précompilé dans des dépôts communautaires, ou les dépôt "factory" de Suse, soit en compilant le tiens à partir des sources du 2.6.28.
C'est un peu radical pour faire fonctionner une webcam... mais j'ai déjà vu pire :rolleyes:

jack13
06/03/2009, 21h26
salut

merci pour vos reponse

pour l instant je suis repasser sur ubuntu 8.04

donc avec cette version j ai plus de probleme normale kernel 2.24.24

je vais voir dans une semaine j ai commander un ecran avec une webcam integree donc je verrais ce que ca donne

pour moi je pense que ca va etre regler mais bon pour les autre non si j aurais su avant j aurais changer le kernel mais bon

vu que ca fait deja plusieur mois que ce probleme est la avec toute les distribution ( depuis le kernel 2.27. )

ca a commencer avec mandriva 2009 et ca fini avec la fedora 10 sauf pour debian 5.0 ce st normale eux il en sont a peine au kernel 2.? je ce st plus mais ca marche

mais bon ce st pas normale de laisser les gens avec leur materiel en rade pendant des mois surtout pour une webcam a 10 euros

voila


merci a vous de m avoir eclairer il y a plein de gens qui sont dans mon cas sur plusieurs distributions avec cette webcam et autre je suppose


@+++